## kodi-pvr-dvbviewer 1.10.35+git20150717

=== CMakeLists.txt ===
project(pvr.dvbviewer)

cmake_minimum_required(VERSION 2.6)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(TinyXML REQUIRED)
find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${TINYXML_INCLUDE_DIRS})

add_definitions(-D__STDC_FORMAT_MACROS)

set(DVBVIEWER_SOURCES src/client.cpp
                      src/DvbData.cpp
                      src/RecordingReader.cpp
                      src/TimeshiftBuffer.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

build_addon(pvr.dvbviewer DVBVIEWER DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-dvbviewer (1.10.35+git20150717-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

=== debian/control ===
Source: kodi-pvr-dvbviewer
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.dvbviewer.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-dvbviewer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-dvbviewer.git


Package: kodi-pvr-dvbviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: Kodi PVR Addon Dvbviewer
 This package contains the Dvbviewer PVR (Personal Video Recorder) Addon for
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-dvbviewer

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-dvbviewer 1.11.11+git20160220

=== debian/changelog ===
kodi-pvr-dvbviewer (1.11.11+git20160220-1) unstable; urgency=medium

  * Imported Upstream version 1.11.11+git20160220
  * Switch to p8-platform from (cec-)platform
  * Bump standards version to 3.9.7
  * Add more information to package description (Closes: #808745)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Mar 2016 21:14:12 +0100

=== debian/control ===
Source: kodi-pvr-dvbviewer
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.dvbviewer.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-dvbviewer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-dvbviewer.git


Package: kodi-pvr-dvbviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: DVBViewer Kodi PVR Addon
 DVBViewer Client is a Kodi PVR client addon for DVBViewer Recording
 Service. It supports LiveTV, Timers, Recordings, EPG and timeshift.

## kodi-pvr-dvbviewer 2.4.6%2Bdfsg1

=== CMakeLists.txt ===
project(pvr.dvbviewer)

cmake_minimum_required(VERSION 2.6)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(TinyXML REQUIRED)
find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${TINYXML_INCLUDE_DIRS})

add_definitions(-D__STDC_FORMAT_MACROS)

set(DVBVIEWER_SOURCES src/client.cpp
                      src/DvbData.cpp
                      src/StreamReader.cpp
                      src/RecordingReader.cpp
                      src/TimeshiftBuffer.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${p8-platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

# check if the linker supports version script or symbols list
if(NOT "${CMAKE_SYSTEM_NAME}" STREQUAL "Windows")
  include(CheckCXXCompilerFlag)
  file(READ "${PROJECT_SOURCE_DIR}/symbols.exp" __symbols_exp)
  string(STRIP ${__symbols_exp} __symbols_exp)
  set(__symbols_file "${CMAKE_CURRENT_BINARY_DIR}/symbols.exp")
  unset(__ldflags)

  if(NOT __ldflags)
    # gnu ld
    file(WRITE ${__symbols_file} "{ local: *; };\n")
    set(CMAKE_REQUIRED_FLAGS "-Wl,--version-script=${__symbols_file}")
    check_cxx_compiler_flag("" LD_ACCEPTS_VERSION_SCRIPT)
    if(LD_ACCEPTS_VERSION_SCRIPT)
      string(REPLACE "\n" "; " __symbols ${__symbols_exp})
      file(WRITE ${__symbols_file} "{ global: ${__symbols}; local: *; };\n")
      set(__ldflags "-Wl,--version-script=${__symbols_file}")
    endif()
  endif()

  if(NOT __ldflags)
    # darwin ld
    file(WRITE ${__symbols_file} "\n")
    set(CMAKE_REQUIRED_FLAGS "-Wl,-exported_symbols_list,${__symbols_file}")
    check_cxx_compiler_flag("" LD_ACCEPTS_SYMBOLS_LIST)
    if(LD_ACCEPTS_SYMBOLS_LIST)
      string(REPLACE "\n" "\n_" __symbols ${__symbols_exp})
      file(WRITE ${__symbols_file} "_${__symbols}\n")
      set(__ldflags "-Wl,-exported_symbols_list,${__symbols_file}")
    endif()
  endif()

  if(__ldflags)
    add_options(ALL_LANGUAGES ALL_BUILDS "${__ldflags}")
  endif()
  unset(CMAKE_REQUIRED_FLAGS)
endif()

build_addon(pvr.dvbviewer DVBVIEWER DEPLIBS)

include(CPack)

## kodi-pvr-dvbviewer 2.4.6+dfsg1

=== debian/changelog ===
kodi-pvr-dvbviewer (2.4.6+dfsg1-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Revert decreasing standards version
  * Also secure Vcs-Git URL
  * Omit debian/ dir from upstream tarball
  * Add watch file
  * Imported Upstream version 2.4.6+dfsg1
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 02:49:06 +0100

kodi-pvr-dvbviewer (2.4.3+git20160820-1) unstable; urgency=medium

  * Imported Upstream version 2.4.3+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2016 22:30:02 +0100

=== debian/control ===
Source: kodi-pvr-dvbviewer
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta6~)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-dvbviewer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-dvbviewer.git
Homepage: https://github.com/kodi-pvr/pvr.dvbviewer.git

Package: kodi-pvr-dvbviewer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: DVBViewer Kodi PVR Addon
 DVBViewer Client is a Kodi PVR client addon for DVBViewer Recording
 Service. It supports LiveTV, Timers, Recordings, EPG and timeshift.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*//" \
   https://github.com/kodi-pvr/pvr.dvbviewer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## kodi-pvr-dvbviewer 3.7.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,23 @@
 
 set(DVBVIEWER_SOURCES src/client.cpp
                       src/DvbData.cpp
+                      src/KVStore.cpp
+                      src/RecordingReader.cpp
+                      src/Settings.cpp
                       src/StreamReader.cpp
-                      src/RecordingReader.cpp
+                      src/Timers.cpp
                       src/TimeshiftBuffer.cpp)
+
+set(DVBVIEWER_HEADERS src/client.h
+                      src/DvbData.h
+                      src/IStreamReader.h
+                      src/KVStore.h
+                      src/LocalizedString.h
+                      src/RecordingReader.h
+                      src/Settings.h
+                      src/StreamReader.h
+                      src/Timers.h
+                      src/TimeshiftBuffer.h)
 
 set(DEPLIBS ${kodiplatform_LIBRARIES}
             ${p8-platform_LIBRARIES}
@@ -66,6 +80,10 @@
   unset(CMAKE_REQUIRED_FLAGS)
 endif()
 
+if(NOT MSVC)
+  add_options(ALL_LANGUAGES DEBUG "-g" "-D_DEBUG" "-Wall")
+endif()
+
 build_addon(pvr.dvbviewer DVBVIEWER DEPLIBS)
 
 include(CPack)

=== debian/changelog ===
kodi-pvr-dvbviewer (3.7.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Don't exclude debian/ dir from upstream tarball
  * debian/watch: Don't repack original tarball
  * New upstream version 3.7.11
  * Bump build dependency kodi-addons-dev's version to (>= 18~)
  * Build-depend on libkodiplatform-dev (>= 20180302)
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:25 +0100

=== debian/control ===
Source: kodi-pvr-dvbviewer
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev (>= 20180302),
               kodi-addons-dev (>= 2:18~)
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-dvbviewer
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-dvbviewer.git
Homepage: https://github.com/kodi-pvr/pvr.dvbviewer.git

Package: kodi-pvr-dvbviewer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: DVBViewer Kodi PVR Addon
 DVBViewer Client is a Kodi PVR client addon for DVBViewer Recording
 Service. It supports LiveTV, Timers, Recordings, EPG and timeshift.

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.dvbviewer/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-dvbviewer 7.2.0%2Bds1

=== debian/changelog ===
kodi-pvr-dvbviewer (7.2.0+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:08:51 +0200

kodi-pvr-dvbviewer (7.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.2.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:54 +0000

kodi-pvr-dvbviewer (7.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency, add libjsoncpp and pkg-config
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:16:04 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvbviewer/releases \
/kodi-pvr/pvr.dvbviewer/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-dvbviewer 7.2.0+ds1

=== debian/changelog ===
kodi-pvr-dvbviewer (7.2.0+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:41:51 -0700

=== debian/control ===
Source: kodi-pvr-dvbviewer
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libjsoncpp-dev,
                    libtinyxml-dev,
                    pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer.git
Homepage: https://kodi.tv/

Package: kodi-pvr-dvbviewer
Architecture: any
Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: DVBViewer Kodi PVR Addon
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is DVBViewer PVR client for DVBViewer Recording
 Service. It supports LiveTV, Timers, Recordings, EPG and timeshift.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kodi-pvr-dvbviewer 19.0.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kodi-pvr-dvbviewer
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libjsoncpp-dev,
-                    libtinyxml-dev,
-                    pkg-config
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+ cmake,
+ kodi-addons-dev (>= 2:19~),
+ libjsoncpp-dev,
+ libtinyxml-dev,
+ pkg-config
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer.git
@@ -19,7 +18,9 @@
 
 Package: kodi-pvr-dvbviewer
 Architecture: any
-Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${kodi:PVRAPI}
 Description: DVBViewer Kodi PVR Addon
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvbviewer/releases \
/kodi-pvr/pvr.dvbviewer/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-dvbviewer 19.0.1+ds1

=== debian/changelog ===
kodi-pvr-dvbviewer (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:41 +0000

kodi-pvr-dvbviewer (7.3.3+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.3+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:31:14 +0000

## kodi-pvr-dvbviewer 19.0.2%2Bds1

=== debian/changelog ===
kodi-pvr-dvbviewer (19.0.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:09 +0000

kodi-pvr-dvbviewer (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:26 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libjsoncpp-dev,
  libtinyxml-dev,
  pkg-config

## kodi-pvr-dvbviewer 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-dvbviewer (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:14 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvbviewer/releases \
/kodi-pvr/pvr.dvbviewer/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-dvbviewer 20.4.0+ds1

=== debian/changelog ===
kodi-pvr-dvbviewer (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:02 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libjsoncpp-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvbviewer \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-dvbviewer 21.1.2+ds

=== debian/changelog ===
kodi-pvr-dvbviewer (21.1.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:28 +0000

kodi-pvr-dvbviewer (21.1.2+ds-1) unstable; urgency=medium

  * New upstream version 21.1.2+ds
  * Remove empty patch series

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:00 +0000

kodi-pvr-dvbviewer (21.1.0+ds-1) experimental; urgency=medium

  * New upstream version 21.1.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:49 +0000

## kodi-pvr-dvbviewer 21.1.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,12 @@
+cmake_minimum_required(VERSION 3.5)
 project(pvr.dvbviewer)
-
-cmake_minimum_required(VERSION 2.6)
 
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
 
-enable_language(CXX)
-
 find_package(TinyXML REQUIRED)
 find_package(Kodi REQUIRED)
-find_package(kodiplatform REQUIRED)
-find_package(p8-platform REQUIRED)
 
-include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${p8-platform_INCLUDE_DIRS}
-                    ${KODI_INCLUDE_DIR}
+include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${TINYXML_INCLUDE_DIRS})
 
 add_definitions(-D__STDC_FORMAT_MACROS)
@@ -31,16 +24,14 @@
                       src/DvbData.h
                       src/IStreamReader.h
                       src/KVStore.h
-                      src/LocalizedString.h
                       src/RecordingReader.h
                       src/Settings.h
                       src/StreamReader.h
                       src/Timers.h
-                      src/TimeshiftBuffer.h)
+                      src/TimeshiftBuffer.h
+                      src/utilities/XMLUtils.h)
 
-set(DEPLIBS ${kodiplatform_LIBRARIES}
-            ${p8-platform_LIBRARIES}
-            ${TINYXML_LIBRARIES})
+set(DEPLIBS ${TINYXML_LIBRARIES})
 
 # check if the linker supports version script or symbols list
 if(NOT "${CMAKE_SYSTEM_NAME}" STREQUAL "Windows")

=== debian/changelog ===
kodi-pvr-dvbviewer (21.1.3+ds-1) unstable; urgency=high

  * New upstream version 21.1.3+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:40 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libjsoncpp-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvbviewer.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-dvbviewer

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvbviewer \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
